Skip to main content
POST
Submit a fee claim

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

environmentId
string
required

ID of the environment

Required string length: 36
Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example:

"95b11417-f18f-457f-8804-68e361f9164f"

Body

application/json

Submit the signatures for a previously initiated claim. The backend resolves the provider(s) from the requestId and executes the claim(s).

requestId
string
required

The requestId returned when the claim was initiated

signatures
object[]
required

One signature per step returned by the claim initiation

Response

Claim submission result

Result of submitting a fee claim.

status
string
required

Status of the submitted claim

txHashes
string[]

On-chain transaction hashes for any claims that settled on-chain

Last modified on July 29, 2026